package sklep.klient;

import java.util.List;

import sklep.generated.DBException_Exception;
import sklep.generated.Product;
import sklep.generated.Sklep;
import sklep.generated.SklepService;

public class Klient1_WszystkieProdukty {

    public static void main(String[] args) {
        System.out.println("Startujemy...");
        SklepService service = new SklepService();
        Sklep sklep = service.getSklepPort();
        System.out.println("Mam obiekt proxy: " + sklep + " klasy " + sklep.getClass().getName());
        
        try {
            // "zdalne wywoływanie procedur" - "RPC"
            List<Product> produkty = sklep.wszystkieProdukty();
            System.out.println("Odczytano " + produkty.size() + " produktów:");
            for(Product product : produkty) {
                System.out.println( " - " + product.getName() + " za cenę " + product.getPrice());
            }
        } catch(DBException_Exception e) {
            e.printStackTrace();
        }
    }

}
